# jirafeauDir doit être déclaré dans .env qui pointe sur ../../config/docker.env
# car les variables déclarées dans env_file: ne sont pas encore connues dans volumes:

services:
  jirafeau:
    image: filekaz
    build: .
    container_name: ${jirafeauServName}
    restart: always
    networks:
      - jirafeauNet
      - postfixNet
    external_links:
      - ${smtpServName}:${smtpHost}
    # ports:
    #   - 8081:80
    env_file:
      - ../../secret/env-${jirafeauServName}
    volumes:
      - ./config/jirafeau.conf:/etc/apache2/sites-available/000-default.conf
      - fileData:${jirafeauDir}
      - ./config/config.local.php:/var/jirafeau/lib/config.local.php
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.${jirafeauServName}-admin.rule=Host(`${fileHost}.${domain}`) && PathPrefix(`/admin.php`)"
      - "traefik.http.routers.${jirafeauServName}-admin.middlewares=test-adminipallowlist@file"
      - "traefik.http.routers.${jirafeauServName}.rule=Host(`${fileHost}.${domain}`) && ! PathPrefix(`/admin.php`)"
      - "traefik.docker.network=jirafeauNet"

volumes:
  fileData:
  config:

networks:
  jirafeauNet:
    external: true
    name: jirafeauNet
  postfixNet:
    external: true
    name: postfixNet
